Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2751523011: Reland of Add 'WithoutGeometryChange' variants of paint invalidation flag setters (Closed)

Created:
8 months, 1 week ago by Xianzhu
Modified:
8 months, 1 week ago
Reviewers:
pdr., Dmitry Titov
CC:
chromium-reviews, pdr+renderingwatchlist_chromium.org, zoltan1, blink-reviews-layout_chromium.org, szager+layoutwatch_chromium.org, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering, blink-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Reland of Add 'WithoutGeometryChange' variants of paint invalidation flag setters (patchset #1 id:1 of https://codereview.chromium.org/2752093005/ ) Fix the issue by changing a setNeedsPaintOffsetAndVisualRectUpdate() call to setMayNeedPaintInvaldiation() call. Original issue's description: > Revert of Add 'WithoutGeometryChange' variants of paint invalidation flag setters (patchset #2 id:20001 of https://codereview.chromium.org/2751383003/ ) > > Reason for revert: > Broke browser_tests: https://uberchromegw.corp.google.com/i/chromium.chromiumos/builders/Linux%20ChromiumOS%20Tests%20%28dbg%29%281%29/builds/23685 > > https://uberchromegw.corp.google.com/i/chromium.chromiumos/builders/Linux%20ChromiumOS%20Tests%20%28dbg%29%281%29/builds/23684 > > Original issue's description: > > Add 'WithoutGeometryChange' variants of paint invalidation flag setters > > > > Add a flag needsPaintOffsetAndVisualRectUpdate() to indicate that the > > object needs paint offset and visual rect update during > > PrePaintTreeWalk. > > > > The original paint invalidation flag setters setMayNeedPaintInvalidation, > > setShouldDoFullPaintInvalidaiton and setters calling the two will set > > the new flag besides the original flags. > > > > Add 'WithoutGeometryChange' variants of the two setters to allow > > PrePaintTreeWalk to skip paint offset and visual rect update (to be > > implemented in later CLs). > > > > BUG=697081, 685179 > > > > Review-Url: https://codereview.chromium.org/2751383003 > > Cr-Commit-Position: refs/heads/master@{#457809} > > Committed: https://chromium.googlesource.com/chromium/src/+/cabebfee33715afb9e577f6d133898b408390ab1 > > TBR=pdr@chromium.org,wangxianzhu@chromium.org > # Skipping CQ checks because original CL landed less than 1 days ago. > NOPRESUBMIT=true > NOTREECHECKS=true > NOTRY=true > BUG=697081, 685179 > > Review-Url: https://codereview.chromium.org/2752093005 > Cr-Commit-Position: refs/heads/master@{#457872} > Committed: https://chromium.googlesource.com/chromium/src/+/75c75092b256d5e3e0ae7ecafd1f8b3430246e1b TBR=pdr@chromium.org,dimich@chromium.org BUG=697081, 685179 Review-Url: https://codereview.chromium.org/2751523011 Cr-Commit-Position: refs/heads/master@{#457928} Committed: https://chromium.googlesource.com/chromium/src/+/5b49d1384ce8d1a8594bdb49f9f392da784b43bf

Patch Set 1 #

Patch Set 2 : Fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+120 lines, -25 lines) Patch
M third_party/WebKit/Source/core/layout/LayoutBox.cpp View 1 4 chunks +9 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutObject.h View 1 7 chunks +14 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutObject.cpp View 1 7 chunks +37 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutObjectTest.cpp View 1 3 chunks +60 lines, -3 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 13 (7 generated)
Xianzhu
Created Reland of Add 'WithoutGeometryChange' variants of paint invalidation flag setters
8 months, 1 week ago (2017-03-17 20:47:58 UTC) #1
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751523011/130001
8 months, 1 week ago (2017-03-17 21:12:15 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/411464)
8 months, 1 week ago (2017-03-17 23:18:53 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751523011/130001
8 months, 1 week ago (2017-03-18 00:10:02 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:130001) as https://chromium.googlesource.com/chromium/src/+/5b49d1384ce8d1a8594bdb49f9f392da784b43bf
8 months, 1 week ago (2017-03-18 02:20:57 UTC) #12
Xianzhu
8 months ago (2017-03-27 15:58:12 UTC) #13
Message was sent while issue was closed.
A revert of this CL (patchset #2 id:130001) has been created in
https://codereview.chromium.org/2779683002/ by wangxianzhu@chromium.org.

The reason for reverting is: BUG=704182.

Powered by Google App Engine
This is Rietveld efc10ee0f